Bug 963566 - Wrong wsdl published - webapp-deploy demo
Wrong wsdl published - webapp-deploy demo
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER6
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 03:28 EDT by Pavel Drozd
Modified: 2015-08-02 19:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The OrderService in the webapp-deploy quick start is not published properly because the service url is not correct. The published wsdl is different than the OrderService.wsdl in the webapp-deploy demo.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OrderService wsdl (1.69 KB, application/wsdl+xml)
2013-05-16 03:28 EDT, Pavel Drozd
no flags Details

  None (edit)
Description Pavel Drozd 2013-05-16 03:28:13 EDT
Created attachment 748627 [details]
OrderService wsdl

The OrderService (webapp-deploy demo) is not published properly.

The service url is not correct:
http://localhost:8080/switchyard-quickstart-demo-webapp-deploy/BaseWebService 

The published wsdl is different than the OrderService.wsdl in the webapp-deploy demo. The published wsdl is attached.

Tested on DR4

Following logs appears after deploying webapp-deploy:

Processing weld deployment switchyard-quickstart-demo-webapp-deploy.war
[0m[0m09:01:11,771 INFO  [org.jboss.weld.deployer] (MSC service thread 1-2) JBAS016005: Starting Services for CDI deployment: switchyard-quickstart-demo-webapp-deploy.war
[0m[0m09:01:12,232 INFO  [org.jboss.ws.cxf.metadata] (MSC service thread 1-2) JBWS024061: Adding service endpoint metadata: id=org.switchyard.component.soap.endpoint.BaseWebService
 address=http://localhost:8080/switchyard-quickstart-demo-webapp-deploy/BaseWebService
 implementor=org.switchyard.component.soap.endpoint.BaseWebService
 serviceName={http://endpoint.soap.component.switchyard.org/}BaseWebServiceService
 portName={http://endpoint.soap.component.switchyard.org/}BaseWebServicePort
 annotationWsdlLocation=null
 wsdlLocationOverride=null
 mtomEnabled=false
Comment 4 Anne-Louise Tangring 2013-11-11 13:11:28 EST
Re-test, please.
Comment 5 Pavel Drozd 2013-11-12 04:47:45 EST
webapp-deploy quickstart removed, verified in ER6

Note You need to log in before you can comment on or make changes to this bug.